## org.jfree.report.modules.factories.report.flow
Class StyleSheetReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler
              org.jfree.report.modules.factories.report.flow.StyleSheetReadHandler

All Implemented Interfaces:
  org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

    public class StyleSheetReadHandler

extends org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler

Creation-Date: 12.04.2006, 14:53:29

Author:
  Thomas Morgner

Constructor Summary
`StyleSheetReadHandler()`

Method Summary
`protected void` `doneParsing()` Done parsing.
`java.lang.Object` `getObject()` Returns the object for this element.
`org.jfree.layouting.input.style.StyleSheet` `getStyleSheet()`
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler
`characters, getResult`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`deriveParseParameters, endElement, getHandlerForChild, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleSheetReadHandler

    public StyleSheetReadHandler()

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### doneParsing

    protected void doneParsing()
                        throws org.xml.sax.SAXException

  Done parsing.

  Overrides:
    `doneParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler`
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getObject

    public java.lang.Object getObject()

  Returns the object for this element.

  Specified by:
    `getObject` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
  Overrides:
    `getObject` in class `org.pentaho.reporting.libraries.xmlns.parser.StringReadHandler`
  Returns:
    the object.

### getStyleSheet

    public org.jfree.layouting.input.style.StyleSheet getStyleSheet()